%{?nodejs_find_provides_and_requires}

%global packagename punycode
%global enable_tests 1

Name:		nodejs-punycode
Version:	2.0.0
Release:	1%{?dist}
Summary:	A robust Punycode converter

License:	MIT
URL:		https://github.com/bestiejs/punycode.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(mocha)
%endif

Requires:	nodejs

%description
A robust Punycode converter that fully complies to RFC 3492 and RFC 5891,
and works on nearly all JavaScript platforms.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec tests
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Aug 01 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release
- Enable tests

* Mon Aug 01 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.1-1
- Update to upstream 1.4.1 release

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-1
- Initial packaging
